'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var KeyboardArrowDownIcon = _interopDefault(require('@mui/icons-material/KeyboardArrowDown'));
var KeyboardArrowUpIcon = _interopDefault(require('@mui/icons-material/KeyboardArrowUp'));
var material = require('@mui/material');
var IconButton = _interopDefault(require('@mui/material/IconButton'));
var React = require('react');
var React__default = _interopDefault(React);
var CloseIcon = _interopDefault(require('@mui/icons-material/Close'));
var Pagination = _interopDefault(require('@mui/material/Pagination'));
var makeStyles = _interopDefault(require('@mui/styles/makeStyles'));

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "/* NavBar */\n.InfoBlock-module_header__0cB-e {\n    background: #e5e5e5;\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    padding: 6px 24px;\n    width: 100%;\n    font-weight: bold;\n    border-radius: 4px 4px 0 0;\n    height: 36px;\n}\n\n.InfoBlock-module_headerDark__y3rdD {\n    background: #263648;\n}\n\n/* Tooltip */\n.InfoBlock-module_tooltipBox__ZtRMd {\n    display: flex;\n    align-items: center;\n}\n\n.InfoBlock-module_tooltip__iNdJn {\n    margin: 3px 15px 0 0;\n}\n\n\n/* Content */\n.InfoBlock-module_content__2DSPS {\n    background-color: #ffffff;\n    border: 1px solid #e5e5e5;\n    border-radius: 0 0 4px 4px;\n}\n\n.InfoBlock-module_contentDark__fxwoC {\n    background-color: #222F40;\n    border: 1px solid #263648;\n}\n";
var s = {"header":"InfoBlock-module_header__0cB-e","headerDark":"InfoBlock-module_headerDark__y3rdD","tooltipBox":"InfoBlock-module_tooltipBox__ZtRMd","tooltip":"InfoBlock-module_tooltip__iNdJn","content":"InfoBlock-module_content__2DSPS","contentDark":"InfoBlock-module_contentDark__fxwoC"};
styleInject(css_248z);

var UiInfoBlock = function UiInfoBlock(_ref) {
  var title = _ref.title,
      titleIcon = _ref.titleIcon,
      tooltip = _ref.tooltip,
      expandable = _ref.expandable,
      children = _ref.children,
      className = _ref.className,
      isOpenProp = _ref.isOpenProp,
      onClickHandler = _ref.onClickHandler,
      noBorder = _ref.noBorder,
      disabled = _ref.disabled;
  var theme = material.useTheme();
  var isDarkTheme = theme.palette.mode === 'dark';

  var _useState = React.useState(false),
      isOpen = _useState[0],
      setIsOpen = _useState[1];

  var toggleBlockHandler = function toggleBlockHandler() {
    expandable && setIsOpen(!isOpen);
  };

  return React__default.createElement("div", {
    className: className
  }, React__default.createElement("div", {
    onClick: onClickHandler ? onClickHandler : toggleBlockHandler,
    className: s.header + " " + (isDarkTheme ? s.headerDark : ''),
    style: {
      cursor: expandable ? disabled ? 'not-allowed' : 'pointer' : 'auto'
    }
  }, React__default.createElement("div", {
    className: s.tooltipBox
  }, tooltip && React__default.createElement("p", {
    className: s.tooltip
  }, tooltip), titleIcon, React__default.createElement("p", null, title)), expandable && React__default.createElement(IconButton, {
    "aria-label": "expand row",
    size: "small",
    sx: {
      cursor: disabled ? 'not-allowed' : 'pointer'
    }
  }, isOpen ? React__default.createElement(KeyboardArrowUpIcon, null) : React__default.createElement(KeyboardArrowDownIcon, null))), React__default.createElement(material.Collapse, {
    "in": expandable ? isOpenProp !== undefined ? isOpenProp : isOpen : true,
    timeout: "auto",
    unmountOnExit: true,
    sx: {
      width: '100%'
    }
  }, React__default.createElement("div", {
    className: s.content + " " + (isDarkTheme ? s.contentDark : '') + "}",
    style: {
      border: noBorder ? 'none' : ''
    }
  }, children)));
};

var UiModal = function UiModal(_ref) {
  var open = _ref.open,
      onClose = _ref.onClose,
      title = _ref.title,
      children = _ref.children,
      width = _ref.width,
      mainContentStyle = _ref.mainContentStyle,
      titleStyle = _ref.titleStyle,
      dialogProps = _ref.dialogProps;
  var theme = material.useTheme();
  var isDarkTheme = theme.palette.mode === 'dark';
  var style = mainContentStyle ? mainContentStyle : {
    width: width || 500,
    boxShadow: 24,
    position: 'relative'
  };
  var defaultTitleStyle = titleStyle ? titleStyle : {
    fontFamily: 'Roboto',
    fontWeight: 500,
    fontSize: '18px',
    lineHeight: '21px'
  };
  return React__default.createElement(material.Dialog, Object.assign({
    open: open,
    onClose: onClose,
    PaperProps: {
      sx: {
        backgroundColor: isDarkTheme ? '#182636' : '#FFFFFF',
        backgroundImage: 'none',
        maxWidth: '100%'
      }
    }
  }, dialogProps), React__default.createElement(material.Box, {
    sx: style
  }, React__default.createElement(material.Grid, {
    container: true,
    direction: "row",
    justifyContent: 'space-between',
    alignItems: 'center',
    style: {
      padding: '0 24px',
      height: '60px',
      borderBottom: isDarkTheme ? '1px solid rgba(0, 0, 0, 0.1)' : '1px solid #E5E5E5'
    }
  }, React__default.createElement(material.Box, {
    sx: defaultTitleStyle
  }, title), React__default.createElement(material.Box, {
    justifyContent: "center",
    alignItems: "center",
    display: "flex"
  }, React__default.createElement(material.IconButton, {
    onClick: onClose,
    size: "small"
  }, React__default.createElement(CloseIcon, null)))), React__default.createElement(material.Grid, {
    style: {
      padding: '15px 24px 36px 24px',
      overflow: 'auto'
    }
  }, children)));
};

var useStyles = /*#__PURE__*/makeStyles({
  root: {
    '&.MuiInputBase-root': {
      backgroundColor: 'white',
      '& .MuiSelect-select': {
        border: '1px solid #E5E5E5',
        borderRadius: '2px',
        padding: '2px 26px 2px 6px'
      },
      '& .MuiSelect-icon': {
        right: '2px'
      }
    },
    '&.MuiInput-underline:before': {
      borderBottom: 'none'
    },
    '&.MuiInput-underline:hover:before': {
      borderBottom: 'none'
    },
    '&.MuiInput-underline:after': {
      borderBottom: 'none'
    },
    '&.Mui-focused': {
      backgroundColor: 'white'
    },
    '& .MuiOutlinedInput-notchedOutline': {
      display: 'none'
    }
  },
  rootSelectDark: {
    '&.MuiInputBase-root': {
      '& .MuiSelect-select': {
        backgroundColor: '#182636',
        border: '1px solid #263648',
        borderRadius: '2px',
        padding: '2px 26px 2px 6px'
      },
      '& .MuiSelect-icon': {
        right: '2px'
      }
    },
    '&.MuiInput-underline:before': {
      borderBottom: 'none'
    },
    '&.MuiInput-underline:hover:before': {
      borderBottom: 'none'
    },
    '&.MuiInput-underline:after': {
      borderBottom: 'none'
    },
    '& .MuiOutlinedInput-notchedOutline': {
      display: 'none'
    }
  },
  rootPagination: {
    '&.MuiPagination-root': {
      '& .MuiPagination-ul': {
        '& .MuiPaginationItem-root': {
          color: 'white'
        },
        '& .MuiButtonBase-root': {
          color: 'white'
        },
        '& .MuiPaginationItem-page:hover': {
          backgroundColor: '#263648'
        },
        '& .MuiPaginationItem-page.Mui-selected': {
          backgroundColor: '#263648'
        }
      }
    }
  }
});
var UiPagination = function UiPagination(_ref) {
  var page = _ref.page,
      setPage = _ref.setPage,
      pageSize = _ref.pageSize,
      totalItems = _ref.totalItems,
      setPageSize = _ref.setPageSize,
      pageSizeOptions = _ref.pageSizeOptions,
      itemName = _ref.itemName,
      paginationProps = _ref.paginationProps,
      selectProps = _ref.selectProps;

  var handlePageChange = function handlePageChange(_event, value) {
    setPage(value);
  };

  var handlePageSizeChange = function handlePageSizeChange(event) {
    setPageSize(+event.target.value);
  };

  var classes = useStyles();
  var theme = material.useTheme();
  var isDarkTheme = theme.palette.mode === 'dark';
  var totalPages = Math.ceil((totalItems || 1) / pageSize);
  return React__default.createElement("div", {
    style: {
      display: 'flex'
    }
  }, React__default.createElement(Pagination, Object.assign({
    className: !isDarkTheme ? '' : classes.rootPagination,
    count: totalPages,
    shape: "rounded",
    page: page,
    onChange: handlePageChange
  }, paginationProps)), React__default.createElement("div", {
    style: {
      display: 'flex',
      alignItems: 'center'
    }
  }, React__default.createElement("p", {
    style: {
      margin: '0 6px 0 12px'
    }
  }, "\u041F\u043E\u043A\u0430\u0437\u0430\u0442\u044C"), React__default.createElement(material.Select, Object.assign({
    id: "selectPagination",
    value: pageSize,
    onChange: handlePageSizeChange,
    className: !isDarkTheme ? classes.root : classes.rootSelectDark
  }, selectProps), pageSizeOptions ? pageSizeOptions.map(function (value) {
    return React__default.createElement(material.MenuItem, {
      value: value,
      key: value
    }, value);
  }) : React__default.createElement(React__default.Fragment, null, React__default.createElement(material.MenuItem, {
    value: 5
  }, "5"), React__default.createElement(material.MenuItem, {
    value: 7
  }, "7"), React__default.createElement(material.MenuItem, {
    value: 10
  }, "10"), React__default.createElement(material.MenuItem, {
    value: 15
  }, "15"))), React__default.createElement("p", {
    style: {
      margin: '0 6px 0 12px'
    }
  }, itemName, " \u043D\u0430 \u0441\u0442\u0440\u0430\u043D\u0438\u0446\u0435")));
};

exports.UiInfoBlock = UiInfoBlock;
exports.UiModal = UiModal;
exports.UiPagination = UiPagination;
//# sourceMappingURL=personal-page-ui.cjs.development.js.map
